We recommend new projects start with resources from the AWS provider.
published on Wednesday, Nov 18, 2026 by Pulumi
We recommend new projects start with resources from the AWS provider.
published on Wednesday, Nov 18, 2026 by Pulumi
Registers a custom connection type in Glue based on the configuration provided. This enables customers to configure custom connectors for any data source with REST-based APIs.
Create ConnectionType Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ConnectionType(name: string, args: ConnectionTypeArgs, opts?: CustomResourceOptions);@overload
def ConnectionType(resource_name: str,
args: ConnectionTypeArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ConnectionType(resource_name: str,
opts: Optional[ResourceOptions] = None,
connection_type: Optional[str] = None,
rest_configuration: Optional[ConnectionTypeRestConfigurationArgs] = None,
connection_properties: Optional[ConnectionTypeConnectionPropertiesConfigurationArgs] = None,
connector_authentication_configuration: Optional[ConnectionTypeConnectorAuthenticationConfigurationArgs] = None,
description: Optional[str] = None,
integration_type: Optional[ConnectionTypeIntegrationType] = None,
tags: Optional[Sequence[_root_inputs.TagArgs]] = None)func NewConnectionType(ctx *Context, name string, args ConnectionTypeArgs, opts ...ResourceOption) (*ConnectionType, error)public ConnectionType(string name, ConnectionTypeArgs args, CustomResourceOptions? opts = null)
public ConnectionType(String name, ConnectionTypeArgs args)
public ConnectionType(String name, ConnectionTypeArgs args, CustomResourceOptions options)
type: aws-native:glue:ConnectionType
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "aws-native_glue_connection_type" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args ConnectionTypeArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ConnectionTypeArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ConnectionTypeArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ConnectionTypeArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ConnectionTypeArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
ConnectionType Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ConnectionType resource accepts the following input properties:
- Connection
Type stringValue - The name of the connection type. Must be prefixed with REST-.
- Rest
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Rest Configuration - Connection
Properties Pulumi.Aws Native. Glue. Inputs. Connection Type Connection Properties Configuration - Connector
Authentication Pulumi.Configuration Aws Native. Glue. Inputs. Connection Type Connector Authentication Configuration - Description string
- A description of the connection type.
- Integration
Type Pulumi.Aws Native. Glue. Connection Type Integration Type - The integration type for the connection. Currently only REST is supported.
-
List<Pulumi.
Aws Native. Inputs. Tag> - Tags to assign to the connection type.
- Connection
Type string - The name of the connection type. Must be prefixed with REST-.
- Rest
Configuration ConnectionType Rest Configuration Args - Connection
Properties ConnectionType Connection Properties Configuration Args - Connector
Authentication ConnectionConfiguration Type Connector Authentication Configuration Args - Description string
- A description of the connection type.
- Integration
Type ConnectionType Integration Type - The integration type for the connection. Currently only REST is supported.
-
Tag
Args - Tags to assign to the connection type.
- connection_
type string - The name of the connection type. Must be prefixed with REST-.
- rest_
configuration object - connection_
properties object - connector_
authentication_ objectconfiguration - description string
- A description of the connection type.
- integration_
type "REST" - The integration type for the connection. Currently only REST is supported.
- list(object)
- Tags to assign to the connection type.
- connection
Type String - The name of the connection type. Must be prefixed with REST-.
- rest
Configuration ConnectionType Rest Configuration - connection
Properties ConnectionType Connection Properties Configuration - connector
Authentication ConnectionConfiguration Type Connector Authentication Configuration - description String
- A description of the connection type.
- integration
Type ConnectionType Integration Type - The integration type for the connection. Currently only REST is supported.
- List<Tag>
- Tags to assign to the connection type.
- connection
Type string - The name of the connection type. Must be prefixed with REST-.
- rest
Configuration ConnectionType Rest Configuration - connection
Properties ConnectionType Connection Properties Configuration - connector
Authentication ConnectionConfiguration Type Connector Authentication Configuration - description string
- A description of the connection type.
- integration
Type ConnectionType Integration Type - The integration type for the connection. Currently only REST is supported.
- Tag[]
- Tags to assign to the connection type.
- connection_
type str - The name of the connection type. Must be prefixed with REST-.
- rest_
configuration ConnectionType Rest Configuration Args - connection_
properties ConnectionType Connection Properties Configuration Args - connector_
authentication_ Connectionconfiguration Type Connector Authentication Configuration Args - description str
- A description of the connection type.
- integration_
type ConnectionType Integration Type - The integration type for the connection. Currently only REST is supported.
-
Sequence[Tag
Args] - Tags to assign to the connection type.
- connection
Type String - The name of the connection type. Must be prefixed with REST-.
- rest
Configuration Property Map - connection
Properties Property Map - connector
Authentication Property MapConfiguration - description String
- A description of the connection type.
- integration
Type "REST" - The integration type for the connection. Currently only REST is supported.
- List<Property Map>
- Tags to assign to the connection type.
Outputs
All input properties are implicitly available as output properties. Additionally, the ConnectionType resource produces the following output properties:
- Connection
Type stringArn - The Amazon Resource Name (ARN) of the registered connection type.
- Id string
- The provider-assigned unique ID for this managed resource.
- Connection
Type stringArn - The Amazon Resource Name (ARN) of the registered connection type.
- Id string
- The provider-assigned unique ID for this managed resource.
- connection_
type_ stringarn - The Amazon Resource Name (ARN) of the registered connection type.
- id string
- The provider-assigned unique ID for this managed resource.
- connection
Type StringArn - The Amazon Resource Name (ARN) of the registered connection type.
- id String
- The provider-assigned unique ID for this managed resource.
- connection
Type stringArn - The Amazon Resource Name (ARN) of the registered connection type.
- id string
- The provider-assigned unique ID for this managed resource.
- connection_
type_ strarn - The Amazon Resource Name (ARN) of the registered connection type.
- id str
- The provider-assigned unique ID for this managed resource.
- connection
Type StringArn - The Amazon Resource Name (ARN) of the registered connection type.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing ConnectionType Resource
Get an existing ConnectionType resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, opts?: CustomResourceOptions): ConnectionType@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None) -> ConnectionTypefunc GetConnectionType(ctx *Context, name string, id IDInput, state *ConnectionTypeState, opts ...ResourceOption) (*ConnectionType, error)public static ConnectionType Get(string name, Input<string> id, CustomResourceOptions? opts = null)public static ConnectionType get(String name, Output<String> id, CustomResourceOptions options)resources: existingConnectionType: type: aws-native:glue:ConnectionType get: id: ${id}import {
to = aws-native_glue_connection_type.example
id = "${id}"
}
- name string
- The unique name of the resulting resource.
- id Input<ID>
- The unique provider ID of the resource to look up.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resulting resource.
- id str
- The unique provider ID of the resource to look up.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resulting resource.
- id IDInput
- The unique provider ID of the resource to look up.
- state ConnectionTypeState
- Pass nil. This resource has no state arguments.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resulting resource.
- id Input<string>
- The unique provider ID of the resource to look up.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resulting resource.
- id Output<String>
- The unique provider ID of the resource to look up.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Supporting Types
ConnectionTypeBasicAuthenticationProperties, ConnectionTypeBasicAuthenticationPropertiesArgs
Basic authentication configuration.
ConnectionTypeBetweenConfiguration, ConnectionTypeBetweenConfigurationArgs
Configuration that defines how BETWEEN range filter operations are translated into REST API request parameters.
- High
Bound stringKey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- Low
Bound stringKey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- Template string
- A template string for constructing the BETWEEN filter expression.
- High
Bound stringKey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- Low
Bound stringKey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- Template string
- A template string for constructing the BETWEEN filter expression.
- high_
bound_ stringkey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- low_
bound_ stringkey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- template string
- A template string for constructing the BETWEEN filter expression.
- high
Bound StringKey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- low
Bound StringKey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- template String
- A template string for constructing the BETWEEN filter expression.
- high
Bound stringKey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- low
Bound stringKey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- template string
- A template string for constructing the BETWEEN filter expression.
- high_
bound_ strkey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- low_
bound_ strkey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- template str
- A template string for constructing the BETWEEN filter expression.
- high
Bound StringKey - The parameter name used for the upper bound value in a BETWEEN filter operation.
- low
Bound StringKey - The parameter name used for the lower bound value in a BETWEEN filter operation.
- template String
- A template string for constructing the BETWEEN filter expression.
ConnectionTypeClientCredentialsProperties, ConnectionTypeClientCredentialsPropertiesArgs
OAuth2 client credentials configuration.
- Client
Id Pulumi.Aws Native. Glue. Inputs. Connection Type Secret Connector Property - Client
Secret Pulumi.Aws Native. Glue. Inputs. Connection Type Secret Connector Property - Content
Type Pulumi.Aws Native. Glue. Connection Type Client Credentials Properties Content Type - Request
Method Pulumi.Aws Native. Glue. Connection Type Client Credentials Properties Request Method - Scope
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property - Token
Url Pulumi.Aws Native. Glue. Inputs. Connection Type Connector Property - Token
Url List<Pulumi.Parameters Aws Native. Glue. Inputs. Connection Type Connector Property>
- Client
Id ConnectionType Secret Connector Property - Client
Secret ConnectionType Secret Connector Property - Content
Type ConnectionType Client Credentials Properties Content Type - Request
Method ConnectionType Client Credentials Properties Request Method - Scope
Connection
Type Connector Property - Token
Url ConnectionType Connector Property - Token
Url []ConnectionParameters Type Connector Property
- client
Id ConnectionType Secret Connector Property - client
Secret ConnectionType Secret Connector Property - content
Type ConnectionType Client Credentials Properties Content Type - request
Method ConnectionType Client Credentials Properties Request Method - scope
Connection
Type Connector Property - token
Url ConnectionType Connector Property - token
Url List<ConnectionParameters Type Connector Property>
- client
Id ConnectionType Secret Connector Property - client
Secret ConnectionType Secret Connector Property - content
Type ConnectionType Client Credentials Properties Content Type - request
Method ConnectionType Client Credentials Properties Request Method - scope
Connection
Type Connector Property - token
Url ConnectionType Connector Property - token
Url ConnectionParameters Type Connector Property[]
- client_
id ConnectionType Secret Connector Property - client_
secret ConnectionType Secret Connector Property - content_
type ConnectionType Client Credentials Properties Content Type - request_
method ConnectionType Client Credentials Properties Request Method - scope
Connection
Type Connector Property - token_
url ConnectionType Connector Property - token_
url_ Sequence[Connectionparameters Type Connector Property]
ConnectionTypeClientCredentialsPropertiesContentType
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Connection | APPLICATION_JSON |
| Connection | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| APPLICATION_JSON | APPLICATION_JSON |
| URL_ENCODED | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
ConnectionTypeClientCredentialsPropertiesRequestMethod
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Connection | GET |
| Connection | POST |
| Value |
|---|
GET |
POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| GET | GET |
| POST | POST |
| Value |
|---|
GET |
POST |
ConnectionTypeConnectionPropertiesConfiguration, ConnectionTypeConnectionPropertiesConfigurationArgs
Configuration that defines the base URL and additional request parameters needed during connection creation.
- Additional
Request List<Pulumi.Parameters Aws Native. Glue. Inputs. Connection Type Connector Property> - Key-value pairs of additional request parameters.
- Url
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property
- Additional
Request []ConnectionParameters Type Connector Property - Key-value pairs of additional request parameters.
- Url
Connection
Type Connector Property
- additional_
request_ list(object)parameters - Key-value pairs of additional request parameters.
- url object
- additional
Request List<ConnectionParameters Type Connector Property> - Key-value pairs of additional request parameters.
- url
Connection
Type Connector Property
- additional
Request ConnectionParameters Type Connector Property[] - Key-value pairs of additional request parameters.
- url
Connection
Type Connector Property
- additional_
request_ Sequence[Connectionparameters Type Connector Property] - Key-value pairs of additional request parameters.
- url
Connection
Type Connector Property
- additional
Request List<Property Map>Parameters - Key-value pairs of additional request parameters.
- url Property Map
ConnectionTypeConnectorAuthenticationConfiguration, ConnectionTypeConnectorAuthenticationConfigurationArgs
Configuration that defines supported authentication types and required properties.
- Authentication
Types List<Pulumi.Aws Native. Glue. Connection Type Connector Authentication Configuration Authentication Types Item> - A list of authentication types supported.
- Basic
Authentication Pulumi.Properties Aws Native. Glue. Inputs. Connection Type Basic Authentication Properties - Custom
Authentication Pulumi.Properties Aws Native. Glue. Inputs. Connection Type Custom Authentication Properties - OAuth2Properties
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector OAuth2Properties
- Authentication
Types []ConnectionType Connector Authentication Configuration Authentication Types Item - A list of authentication types supported.
- Basic
Authentication ConnectionProperties Type Basic Authentication Properties - Custom
Authentication ConnectionProperties Type Custom Authentication Properties - OAuth2Properties
Connection
Type Connector OAuth2Properties
- authentication_
types list("BASIC" | "OAUTH2" | "CUSTOM" | "IAM") - A list of authentication types supported.
- basic_
authentication_ objectproperties - custom_
authentication_ objectproperties - o_
auth2_ objectproperties
- authentication
Types List<ConnectionType Connector Authentication Configuration Authentication Types Item> - A list of authentication types supported.
- basic
Authentication ConnectionProperties Type Basic Authentication Properties - custom
Authentication ConnectionProperties Type Custom Authentication Properties - o
Auth2Properties ConnectionType Connector OAuth2Properties
- authentication
Types ConnectionType Connector Authentication Configuration Authentication Types Item[] - A list of authentication types supported.
- basic
Authentication ConnectionProperties Type Basic Authentication Properties - custom
Authentication ConnectionProperties Type Custom Authentication Properties - o
Auth2Properties ConnectionType Connector OAuth2Properties
- authentication_
types Sequence[ConnectionType Connector Authentication Configuration Authentication Types Item] - A list of authentication types supported.
- basic_
authentication_ Connectionproperties Type Basic Authentication Properties - custom_
authentication_ Connectionproperties Type Custom Authentication Properties - o_
auth2_ Connectionproperties Type Connector OAuth2Properties
- authentication
Types List<"BASIC" | "OAUTH2" | "CUSTOM" | "IAM"> - A list of authentication types supported.
- basic
Authentication Property MapProperties - custom
Authentication Property MapProperties - o
Auth2Properties Property Map
ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItem
| Name | Value |
|---|---|
| Basic | BASIC |
| Oauth2 | OAUTH2 |
| Custom | CUSTOM |
| Iam | IAM |
| Name | Value |
|---|---|
| Connection | BASIC |
| Connection | OAUTH2 |
| Connection | CUSTOM |
| Connection | IAM |
| Value |
|---|
BASIC |
OAUTH2 |
CUSTOM |
IAM |
| Name | Value |
|---|---|
| Basic | BASIC |
| Oauth2 | OAUTH2 |
| Custom | CUSTOM |
| Iam | IAM |
| Name | Value |
|---|---|
| Basic | BASIC |
| Oauth2 | OAUTH2 |
| Custom | CUSTOM |
| Iam | IAM |
| Name | Value |
|---|---|
| BASIC | BASIC |
| OAUTH2 | OAUTH2 |
| CUSTOM | CUSTOM |
| IAM | IAM |
| Value |
|---|
BASIC |
OAUTH2 |
CUSTOM |
IAM |
ConnectionTypeConnectorAuthorizationCodeProperties, ConnectionTypeConnectorAuthorizationCodePropertiesArgs
OAuth2 authorization code configuration.
-
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property -
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property - Client
Id Pulumi.Aws Native. Glue. Inputs. Connection Type Secret Connector Property - Client
Secret Pulumi.Aws Native. Glue. Inputs. Connection Type Secret Connector Property - Content
Type Pulumi.Aws Native. Glue. Connection Type Connector Authorization Code Properties Content Type - Prompt
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property - Redirect
Uri Pulumi.Aws Native. Glue. Inputs. Connection Type Connector Property - Request
Method Pulumi.Aws Native. Glue. Connection Type Connector Authorization Code Properties Request Method - Scope
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Property - Token
Url Pulumi.Aws Native. Glue. Inputs. Connection Type Connector Property - Token
Url List<Pulumi.Parameters Aws Native. Glue. Inputs. Connection Type Connector Property>
-
Connection
Type Connector Property -
Connection
Type Connector Property - Client
Id ConnectionType Secret Connector Property - Client
Secret ConnectionType Secret Connector Property - Content
Type ConnectionType Connector Authorization Code Properties Content Type - Prompt
Connection
Type Connector Property - Redirect
Uri ConnectionType Connector Property - Request
Method ConnectionType Connector Authorization Code Properties Request Method - Scope
Connection
Type Connector Property - Token
Url ConnectionType Connector Property - Token
Url []ConnectionParameters Type Connector Property
-
Connection
Type Connector Property -
Connection
Type Connector Property - client
Id ConnectionType Secret Connector Property - client
Secret ConnectionType Secret Connector Property - content
Type ConnectionType Connector Authorization Code Properties Content Type - prompt
Connection
Type Connector Property - redirect
Uri ConnectionType Connector Property - request
Method ConnectionType Connector Authorization Code Properties Request Method - scope
Connection
Type Connector Property - token
Url ConnectionType Connector Property - token
Url List<ConnectionParameters Type Connector Property>
-
Connection
Type Connector Property -
Connection
Type Connector Property - client
Id ConnectionType Secret Connector Property - client
Secret ConnectionType Secret Connector Property - content
Type ConnectionType Connector Authorization Code Properties Content Type - prompt
Connection
Type Connector Property - redirect
Uri ConnectionType Connector Property - request
Method ConnectionType Connector Authorization Code Properties Request Method - scope
Connection
Type Connector Property - token
Url ConnectionType Connector Property - token
Url ConnectionParameters Type Connector Property[]
-
Connection
Type Connector Property -
Connection
Type Connector Property - client_
id ConnectionType Secret Connector Property - client_
secret ConnectionType Secret Connector Property - content_
type ConnectionType Connector Authorization Code Properties Content Type - prompt
Connection
Type Connector Property - redirect_
uri ConnectionType Connector Property - request_
method ConnectionType Connector Authorization Code Properties Request Method - scope
Connection
Type Connector Property - token_
url ConnectionType Connector Property - token_
url_ Sequence[Connectionparameters Type Connector Property]
ConnectionTypeConnectorAuthorizationCodePropertiesContentType
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Connection | APPLICATION_JSON |
| Connection | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| APPLICATION_JSON | APPLICATION_JSON |
| URL_ENCODED | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
ConnectionTypeConnectorAuthorizationCodePropertiesRequestMethod
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Connection | GET |
| Connection | POST |
| Value |
|---|
GET |
POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| GET | GET |
| POST | POST |
| Value |
|---|
GET |
POST |
ConnectionTypeConnectorOAuth2Properties, ConnectionTypeConnectorOAuth2PropertiesArgs
OAuth2 configuration container.
- OAuth2Grant
Type Pulumi.Aws Native. Glue. Connection Type Connector OAuth2Properties OAuth2Grant Type - The OAuth2 grant type to use.
-
Pulumi.
Aws Native. Glue. Inputs. Connection Type Connector Authorization Code Properties - Client
Credentials Pulumi.Properties Aws Native. Glue. Inputs. Connection Type Client Credentials Properties - Jwt
Bearer Pulumi.Properties Aws Native. Glue. Inputs. Connection Type Jwt Bearer Properties
ConnectionTypeConnectorOAuth2PropertiesOAuth2GrantType
The OAuth2 grant type to use.
| Name | Value |
|---|---|
| Client | CLIENT_CREDENTIALS |
| Jwt | JWT_BEARER |
| Authorization | AUTHORIZATION_CODE |
| Name | Value |
|---|---|
| Connection | CLIENT_CREDENTIALS |
| Connection | JWT_BEARER |
| Connection | AUTHORIZATION_CODE |
| Value |
|---|
CLIENT_CREDENTIALS |
JWT_BEARER |
AUTHORIZATION_CODE |
| Name | Value |
|---|---|
| Client | CLIENT_CREDENTIALS |
| Jwt | JWT_BEARER |
| Authorization | AUTHORIZATION_CODE |
| Name | Value |
|---|---|
| Client | CLIENT_CREDENTIALS |
| Jwt | JWT_BEARER |
| Authorization | AUTHORIZATION_CODE |
| Name | Value |
|---|---|
| CLIENT_CREDENTIALS | CLIENT_CREDENTIALS |
| JWT_BEARER | JWT_BEARER |
| AUTHORIZATION_CODE | AUTHORIZATION_CODE |
| Value |
|---|
CLIENT_CREDENTIALS |
JWT_BEARER |
AUTHORIZATION_CODE |
ConnectionTypeConnectorProperty, ConnectionTypeConnectorPropertyArgs
Defines a property configuration for connection types.
- Name string
- The name of the property.
- Property
Type Pulumi.Aws Native. Glue. Connection Type Connector Property Property Type - The data type of this property.
- Required bool
- Indicates whether the property is required.
- Allowed
Values List<string> - A list of allowed values for the property.
- Default
Value string - The default value for the property.
- Key
Override string - A key name to use when sending this property in API requests.
- Property
Location Pulumi.Aws Native. Glue. Connection Type Connector Property Property Location - Specifies where this property should be included in REST requests.
- Name string
- The name of the property.
- Property
Type ConnectionType Connector Property Property Type - The data type of this property.
- Required bool
- Indicates whether the property is required.
- Allowed
Values []string - A list of allowed values for the property.
- Default
Value string - The default value for the property.
- Key
Override string - A key name to use when sending this property in API requests.
- Property
Location ConnectionType Connector Property Property Location - Specifies where this property should be included in REST requests.
- name string
- The name of the property.
- property_
type "USER_INPUT" | "SECRET" | "READ_ONLY" | "UNUSED" | "SECRET_OR_USER_INPUT" - The data type of this property.
- required bool
- Indicates whether the property is required.
- allowed_
values list(string) - A list of allowed values for the property.
- default_
value string - The default value for the property.
- key_
override string - A key name to use when sending this property in API requests.
- property_
location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where this property should be included in REST requests.
- name String
- The name of the property.
- property
Type ConnectionType Connector Property Property Type - The data type of this property.
- required Boolean
- Indicates whether the property is required.
- allowed
Values List<String> - A list of allowed values for the property.
- default
Value String - The default value for the property.
- key
Override String - A key name to use when sending this property in API requests.
- property
Location ConnectionType Connector Property Property Location - Specifies where this property should be included in REST requests.
- name string
- The name of the property.
- property
Type ConnectionType Connector Property Property Type - The data type of this property.
- required boolean
- Indicates whether the property is required.
- allowed
Values string[] - A list of allowed values for the property.
- default
Value string - The default value for the property.
- key
Override string - A key name to use when sending this property in API requests.
- property
Location ConnectionType Connector Property Property Location - Specifies where this property should be included in REST requests.
- name str
- The name of the property.
- property_
type ConnectionType Connector Property Property Type - The data type of this property.
- required bool
- Indicates whether the property is required.
- allowed_
values Sequence[str] - A list of allowed values for the property.
- default_
value str - The default value for the property.
- key_
override str - A key name to use when sending this property in API requests.
- property_
location ConnectionType Connector Property Property Location - Specifies where this property should be included in REST requests.
- name String
- The name of the property.
- property
Type "USER_INPUT" | "SECRET" | "READ_ONLY" | "UNUSED" | "SECRET_OR_USER_INPUT" - The data type of this property.
- required Boolean
- Indicates whether the property is required.
- allowed
Values List<String> - A list of allowed values for the property.
- default
Value String - The default value for the property.
- key
Override String - A key name to use when sending this property in API requests.
- property
Location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where this property should be included in REST requests.
ConnectionTypeConnectorPropertyPropertyLocation
Specifies where this property should be included in REST requests.
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Connection | HEADER |
| Connection | BODY |
| Connection | QUERY_PARAM |
| Connection | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| HEADER | HEADER |
| BODY | BODY |
| QUERY_PARAM | QUERY_PARAM |
| PATH | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
ConnectionTypeConnectorPropertyPropertyType
The data type of this property.
| Name | Value |
|---|---|
| User | USER_INPUT |
| Secret | SECRET |
| Read | READ_ONLY |
| Unused | UNUSED |
| Secret | SECRET_OR_USER_INPUT |
| Name | Value |
|---|---|
| Connection | USER_INPUT |
| Connection | SECRET |
| Connection | READ_ONLY |
| Connection | UNUSED |
| Connection | SECRET_OR_USER_INPUT |
| Value |
|---|
USER_INPUT |
SECRET |
READ_ONLY |
UNUSED |
SECRET_OR_USER_INPUT |
| Name | Value |
|---|---|
| User | USER_INPUT |
| Secret | SECRET |
| Read | READ_ONLY |
| Unused | UNUSED |
| Secret | SECRET_OR_USER_INPUT |
| Name | Value |
|---|---|
| User | USER_INPUT |
| Secret | SECRET |
| Read | READ_ONLY |
| Unused | UNUSED |
| Secret | SECRET_OR_USER_INPUT |
| Name | Value |
|---|---|
| USER_INPUT | USER_INPUT |
| SECRET | SECRET |
| READ_ONLY | READ_ONLY |
| UNUSED | UNUSED |
| SECRET_OR_USER_INPUT | SECRET_OR_USER_INPUT |
| Value |
|---|
USER_INPUT |
SECRET |
READ_ONLY |
UNUSED |
SECRET_OR_USER_INPUT |
ConnectionTypeCursorConfiguration, ConnectionTypeCursorConfigurationArgs
Cursor-based pagination configuration.
ConnectionTypeCustomAuthenticationProperties, ConnectionTypeCustomAuthenticationPropertiesArgs
Custom authentication configuration.
ConnectionTypeEntityConfiguration, ConnectionTypeEntityConfigurationArgs
Configuration for interacting with a specific data entity.
- Schema
Dictionary<string, Pulumi.
Aws Native. Glue. Inputs. Connection Type Field Definition> - The schema definition for this entity.
- Source
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Source Configuration
- Schema
map[string]Connection
Type Field Definition - The schema definition for this entity.
- Source
Configuration ConnectionType Source Configuration
- schema map(object)
- The schema definition for this entity.
- source_
configuration object
- schema
Map<String,Connection
Type Field Definition> - The schema definition for this entity.
- source
Configuration ConnectionType Source Configuration
- schema
{[key: string]: Connection
Type Field Definition} - The schema definition for this entity.
- source
Configuration ConnectionType Source Configuration
- schema
Mapping[str, Connection
Type Field Definition] - The schema definition for this entity.
- source_
configuration ConnectionType Source Configuration
- schema Map<Property Map>
- The schema definition for this entity.
- source
Configuration Property Map
ConnectionTypeExtractedParameter, ConnectionTypeExtractedParameterArgs
Parameter extraction configuration.
- Default
Value string - The default value.
- Key string
- The parameter key name.
- Property
Location Pulumi.Aws Native. Glue. Connection Type Extracted Parameter Property Location - Specifies where to place the parameter in requests.
- Value
Pulumi.
Aws Native. Glue. Inputs. Connection Type Response Extraction Mapping
- Default
Value string - The default value.
- Key string
- The parameter key name.
- Property
Location ConnectionType Extracted Parameter Property Location - Specifies where to place the parameter in requests.
- Value
Connection
Type Response Extraction Mapping
- default_
value string - The default value.
- key string
- The parameter key name.
- property_
location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where to place the parameter in requests.
- value object
- default
Value String - The default value.
- key String
- The parameter key name.
- property
Location ConnectionType Extracted Parameter Property Location - Specifies where to place the parameter in requests.
- value
Connection
Type Response Extraction Mapping
- default
Value string - The default value.
- key string
- The parameter key name.
- property
Location ConnectionType Extracted Parameter Property Location - Specifies where to place the parameter in requests.
- value
Connection
Type Response Extraction Mapping
- default_
value str - The default value.
- key str
- The parameter key name.
- property_
location ConnectionType Extracted Parameter Property Location - Specifies where to place the parameter in requests.
- value
Connection
Type Response Extraction Mapping
- default
Value String - The default value.
- key String
- The parameter key name.
- property
Location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where to place the parameter in requests.
- value Property Map
ConnectionTypeExtractedParameterPropertyLocation
Specifies where to place the parameter in requests.
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Connection | HEADER |
| Connection | BODY |
| Connection | QUERY_PARAM |
| Connection | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| HEADER | HEADER |
| BODY | BODY |
| QUERY_PARAM | QUERY_PARAM |
| PATH | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
ConnectionTypeFieldDefinition, ConnectionTypeFieldDefinitionArgs
Defines a field in an entity schema.
- Field
Data Pulumi.Type Aws Native. Glue. Connection Type Field Definition Field Data Type - The data type of the field.
- Name string
- The name of the field.
- Filter
Overrides Pulumi.Aws Native. Glue. Inputs. Connection Type Filter Overrides - Is
Nullable bool - Indicates whether this field can contain null values.
- Is
Orderable bool - Indicates whether this field can be used for ordering results.
- Is
Partitionable bool - Indicates whether this field can be used for partitioning queries to the data source.
- Is
Queryable bool - Indicates whether this field can be used in filter predicates when querying data.
- Response
Date stringFormat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- Field
Data ConnectionType Type Field Definition Field Data Type - The data type of the field.
- Name string
- The name of the field.
- Filter
Overrides ConnectionType Filter Overrides - Is
Nullable bool - Indicates whether this field can contain null values.
- Is
Orderable bool - Indicates whether this field can be used for ordering results.
- Is
Partitionable bool - Indicates whether this field can be used for partitioning queries to the data source.
- Is
Queryable bool - Indicates whether this field can be used in filter predicates when querying data.
- Response
Date stringFormat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- field_
data_ "INT" | "SMALLINT" | "BIGINT" | "FLOAT" | "LONG" | "DATE" | "BOOLEAN" | "MAP" | "ARRAY" | "STRING" | "TIMESTAMP" | "DECIMAL" | "BYTE" | "SHORT" | "DOUBLE" | "STRUCT" | "BINARY" | "UNION"type - The data type of the field.
- name string
- The name of the field.
- filter_
overrides object - is_
nullable bool - Indicates whether this field can contain null values.
- is_
orderable bool - Indicates whether this field can be used for ordering results.
- is_
partitionable bool - Indicates whether this field can be used for partitioning queries to the data source.
- is_
queryable bool - Indicates whether this field can be used in filter predicates when querying data.
- response_
date_ stringformat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- field
Data ConnectionType Type Field Definition Field Data Type - The data type of the field.
- name String
- The name of the field.
- filter
Overrides ConnectionType Filter Overrides - is
Nullable Boolean - Indicates whether this field can contain null values.
- is
Orderable Boolean - Indicates whether this field can be used for ordering results.
- is
Partitionable Boolean - Indicates whether this field can be used for partitioning queries to the data source.
- is
Queryable Boolean - Indicates whether this field can be used in filter predicates when querying data.
- response
Date StringFormat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- field
Data ConnectionType Type Field Definition Field Data Type - The data type of the field.
- name string
- The name of the field.
- filter
Overrides ConnectionType Filter Overrides - is
Nullable boolean - Indicates whether this field can contain null values.
- is
Orderable boolean - Indicates whether this field can be used for ordering results.
- is
Partitionable boolean - Indicates whether this field can be used for partitioning queries to the data source.
- is
Queryable boolean - Indicates whether this field can be used in filter predicates when querying data.
- response
Date stringFormat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- field_
data_ Connectiontype Type Field Definition Field Data Type - The data type of the field.
- name str
- The name of the field.
- filter_
overrides ConnectionType Filter Overrides - is_
nullable bool - Indicates whether this field can contain null values.
- is_
orderable bool - Indicates whether this field can be used for ordering results.
- is_
partitionable bool - Indicates whether this field can be used for partitioning queries to the data source.
- is_
queryable bool - Indicates whether this field can be used in filter predicates when querying data.
- response_
date_ strformat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
- field
Data "INT" | "SMALLINT" | "BIGINT" | "FLOAT" | "LONG" | "DATE" | "BOOLEAN" | "MAP" | "ARRAY" | "STRING" | "TIMESTAMP" | "DECIMAL" | "BYTE" | "SHORT" | "DOUBLE" | "STRUCT" | "BINARY" | "UNION"Type - The data type of the field.
- name String
- The name of the field.
- filter
Overrides Property Map - is
Nullable Boolean - Indicates whether this field can contain null values.
- is
Orderable Boolean - Indicates whether this field can be used for ordering results.
- is
Partitionable Boolean - Indicates whether this field can be used for partitioning queries to the data source.
- is
Queryable Boolean - Indicates whether this field can be used in filter predicates when querying data.
- response
Date StringFormat - The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
ConnectionTypeFieldDefinitionFieldDataType
The data type of the field.
| Name | Value |
|---|---|
| Int | INT |
| Smallint | SMALLINT |
| Bigint | BIGINT |
| Float | FLOAT |
| Long | LONG |
| Date | DATE |
| Boolean | BOOLEAN |
| Map | MAP |
| Array | ARRAY |
| String | STRING |
| Timestamp | TIMESTAMP |
| Decimal | DECIMAL |
| Byte | BYTE |
| Short | SHORT |
| Double | DOUBLE |
| Struct | STRUCT |
| Binary | BINARY |
| Union | UNION |
| Name | Value |
|---|---|
| Connection | INT |
| Connection | SMALLINT |
| Connection | BIGINT |
| Connection | FLOAT |
| Connection | LONG |
| Connection | DATE |
| Connection | BOOLEAN |
| Connection | MAP |
| Connection | ARRAY |
| Connection | STRING |
| Connection | TIMESTAMP |
| Connection | DECIMAL |
| Connection | BYTE |
| Connection | SHORT |
| Connection | DOUBLE |
| Connection | STRUCT |
| Connection | BINARY |
| Connection | UNION |
| Value |
|---|
INT |
SMALLINT |
BIGINT |
FLOAT |
LONG |
DATE |
BOOLEAN |
MAP |
ARRAY |
STRING |
TIMESTAMP |
DECIMAL |
BYTE |
SHORT |
DOUBLE |
STRUCT |
BINARY |
UNION |
| Name | Value |
|---|---|
| Int | INT |
| Smallint | SMALLINT |
| Bigint | BIGINT |
| Float | FLOAT |
| Long | LONG |
| Date | DATE |
| Boolean | BOOLEAN |
| Map | MAP |
| Array | ARRAY |
| String | STRING |
| Timestamp | TIMESTAMP |
| Decimal | DECIMAL |
| Byte | BYTE |
| Short | SHORT |
| Double | DOUBLE |
| Struct | STRUCT |
| Binary | BINARY |
| Union | UNION |
| Name | Value |
|---|---|
| Int | INT |
| Smallint | SMALLINT |
| Bigint | BIGINT |
| Float | FLOAT |
| Long | LONG |
| Date | DATE |
| Boolean | BOOLEAN |
| Map | MAP |
| Array | ARRAY |
| String | STRING |
| Timestamp | TIMESTAMP |
| Decimal | DECIMAL |
| Byte | BYTE |
| Short | SHORT |
| Double | DOUBLE |
| Struct | STRUCT |
| Binary | BINARY |
| Union | UNION |
| Name | Value |
|---|---|
| INT | INT |
| SMALLINT | SMALLINT |
| BIGINT | BIGINT |
| FLOAT | FLOAT |
| LONG | LONG |
| DATE | DATE |
| BOOLEAN | BOOLEAN |
| MAP | MAP |
| ARRAY | ARRAY |
| STRING | STRING |
| TIMESTAMP | TIMESTAMP |
| DECIMAL | DECIMAL |
| BYTE | BYTE |
| SHORT | SHORT |
| DOUBLE | DOUBLE |
| STRUCT | STRUCT |
| BINARY | BINARY |
| UNION | UNION |
| Value |
|---|
INT |
SMALLINT |
BIGINT |
FLOAT |
LONG |
DATE |
BOOLEAN |
MAP |
ARRAY |
STRING |
TIMESTAMP |
DECIMAL |
BYTE |
SHORT |
DOUBLE |
STRUCT |
BINARY |
UNION |
ConnectionTypeFilterConfiguration, ConnectionTypeFilterConfigurationArgs
Configuration that defines how filter predicates are applied to REST API requests, supporting both query parameter and filter string strategies.
- Filter
Mode Pulumi.Aws Native. Glue. Connection Type Filter Configuration Filter Mode - The strategy for applying filters to requests.
- Between
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Between Configuration - Date
Time stringFormat - The global date and time format for filter expressions.
- Filter
String Pulumi.Configuration Aws Native. Glue. Inputs. Connection Type Filter String Configuration - Operator
Mappings Dictionary<string, string> - A map of logical filter operators to their API-specific string representations.
- Strip
Quotes bool - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- Filter
Mode ConnectionType Filter Configuration Filter Mode - The strategy for applying filters to requests.
- Between
Configuration ConnectionType Between Configuration - Date
Time stringFormat - The global date and time format for filter expressions.
- Filter
String ConnectionConfiguration Type Filter String Configuration - Operator
Mappings map[string]string - A map of logical filter operators to their API-specific string representations.
- Strip
Quotes bool - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- filter_
mode "QUERY_PARAMS" | "FILTER_STRING" - The strategy for applying filters to requests.
- between_
configuration object - date_
time_ stringformat - The global date and time format for filter expressions.
- filter_
string_ objectconfiguration - operator_
mappings map(string) - A map of logical filter operators to their API-specific string representations.
- strip_
quotes bool - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- filter
Mode ConnectionType Filter Configuration Filter Mode - The strategy for applying filters to requests.
- between
Configuration ConnectionType Between Configuration - date
Time StringFormat - The global date and time format for filter expressions.
- filter
String ConnectionConfiguration Type Filter String Configuration - operator
Mappings Map<String,String> - A map of logical filter operators to their API-specific string representations.
- strip
Quotes Boolean - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- filter
Mode ConnectionType Filter Configuration Filter Mode - The strategy for applying filters to requests.
- between
Configuration ConnectionType Between Configuration - date
Time stringFormat - The global date and time format for filter expressions.
- filter
String ConnectionConfiguration Type Filter String Configuration - operator
Mappings {[key: string]: string} - A map of logical filter operators to their API-specific string representations.
- strip
Quotes boolean - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- filter_
mode ConnectionType Filter Configuration Filter Mode - The strategy for applying filters to requests.
- between_
configuration ConnectionType Between Configuration - date_
time_ strformat - The global date and time format for filter expressions.
- filter_
string_ Connectionconfiguration Type Filter String Configuration - operator_
mappings Mapping[str, str] - A map of logical filter operators to their API-specific string representations.
- strip_
quotes bool - Indicates whether surrounding double quotes should be stripped from filter values before processing.
- filter
Mode "QUERY_PARAMS" | "FILTER_STRING" - The strategy for applying filters to requests.
- between
Configuration Property Map - date
Time StringFormat - The global date and time format for filter expressions.
- filter
String Property MapConfiguration - operator
Mappings Map<String> - A map of logical filter operators to their API-specific string representations.
- strip
Quotes Boolean - Indicates whether surrounding double quotes should be stripped from filter values before processing.
ConnectionTypeFilterConfigurationFilterMode
The strategy for applying filters to requests.
| Name | Value |
|---|---|
| Query | QUERY_PARAMS |
| Filter | FILTER_STRING |
| Name | Value |
|---|---|
| Connection | QUERY_PARAMS |
| Connection | FILTER_STRING |
| Value |
|---|
QUERY_PARAMS |
FILTER_STRING |
| Name | Value |
|---|---|
| Query | QUERY_PARAMS |
| Filter | FILTER_STRING |
| Name | Value |
|---|---|
| Query | QUERY_PARAMS |
| Filter | FILTER_STRING |
| Name | Value |
|---|---|
| QUERY_PARAMS | QUERY_PARAMS |
| FILTER_STRING | FILTER_STRING |
| Value |
|---|
QUERY_PARAMS |
FILTER_STRING |
ConnectionTypeFilterOverrides, ConnectionTypeFilterOverridesArgs
Configuration that defines per-field overrides for filter behavior, allowing individual fields to customize how filter operations are applied.
- Between
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Between Configuration - Date
Time stringFormat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- Field
Name string - An override for the field name to use in filter expressions, if different from the schema field name.
- Operator
Mappings Dictionary<string, string> - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- Between
Configuration ConnectionType Between Configuration - Date
Time stringFormat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- Field
Name string - An override for the field name to use in filter expressions, if different from the schema field name.
- Operator
Mappings map[string]string - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- between_
configuration object - date_
time_ stringformat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- field_
name string - An override for the field name to use in filter expressions, if different from the schema field name.
- operator_
mappings map(string) - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- between
Configuration ConnectionType Between Configuration - date
Time StringFormat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- field
Name String - An override for the field name to use in filter expressions, if different from the schema field name.
- operator
Mappings Map<String,String> - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- between
Configuration ConnectionType Between Configuration - date
Time stringFormat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- field
Name string - An override for the field name to use in filter expressions, if different from the schema field name.
- operator
Mappings {[key: string]: string} - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- between_
configuration ConnectionType Between Configuration - date_
time_ strformat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- field_
name str - An override for the field name to use in filter expressions, if different from the schema field name.
- operator_
mappings Mapping[str, str] - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
- between
Configuration Property Map - date
Time StringFormat - The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
- field
Name String - An override for the field name to use in filter expressions, if different from the schema field name.
- operator
Mappings Map<String> - A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
ConnectionTypeFilterStringConfiguration, ConnectionTypeFilterStringConfigurationArgs
Configuration for constructing filter expression strings when using the FILTER_STRING filter mode.
- Query
Parameter stringName - The query parameter name used to send the constructed filter expression string in API requests.
- Quote
Character string - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- Quote
String boolValues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- Query
Parameter stringName - The query parameter name used to send the constructed filter expression string in API requests.
- Quote
Character string - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- Quote
String boolValues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- query_
parameter_ stringname - The query parameter name used to send the constructed filter expression string in API requests.
- quote_
character string - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- quote_
string_ boolvalues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- query
Parameter StringName - The query parameter name used to send the constructed filter expression string in API requests.
- quote
Character String - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- quote
String BooleanValues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- query
Parameter stringName - The query parameter name used to send the constructed filter expression string in API requests.
- quote
Character string - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- quote
String booleanValues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- query_
parameter_ strname - The query parameter name used to send the constructed filter expression string in API requests.
- quote_
character str - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- quote_
string_ boolvalues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
- query
Parameter StringName - The query parameter name used to send the constructed filter expression string in API requests.
- quote
Character String - The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
- quote
String BooleanValues - Indicates whether string and date values should be wrapped with a quote character in the filter expression.
ConnectionTypeIntegrationType
The integration type for the connection. Currently only REST is supported.
| Name | Value |
|---|---|
| Rest | REST |
| Name | Value |
|---|---|
| Connection | REST |
| Value |
|---|
REST |
| Name | Value |
|---|---|
| Rest | REST |
| Name | Value |
|---|---|
| Rest | REST |
| Name | Value |
|---|---|
| REST | REST |
| Value |
|---|
REST |
ConnectionTypeJwtBearerProperties, ConnectionTypeJwtBearerPropertiesArgs
JWT bearer token configuration.
- Content
Type Pulumi.Aws Native. Glue. Connection Type Jwt Bearer Properties Content Type - Jwt
Token Pulumi.Aws Native. Glue. Inputs. Connection Type Secret Connector Property - Request
Method Pulumi.Aws Native. Glue. Connection Type Jwt Bearer Properties Request Method - Token
Url Pulumi.Aws Native. Glue. Inputs. Connection Type Connector Property - Token
Url List<Pulumi.Parameters Aws Native. Glue. Inputs. Connection Type Connector Property>
ConnectionTypeJwtBearerPropertiesContentType
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Connection | APPLICATION_JSON |
| Connection | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| Application | APPLICATION_JSON |
| Url | URL_ENCODED |
| Name | Value |
|---|---|
| APPLICATION_JSON | APPLICATION_JSON |
| URL_ENCODED | URL_ENCODED |
| Value |
|---|
APPLICATION_JSON |
URL_ENCODED |
ConnectionTypeJwtBearerPropertiesRequestMethod
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Connection | GET |
| Connection | POST |
| Value |
|---|
GET |
POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| GET | GET |
| POST | POST |
| Value |
|---|
GET |
POST |
ConnectionTypeOffsetConfiguration, ConnectionTypeOffsetConfigurationArgs
Offset-based pagination configuration.
ConnectionTypePaginationConfiguration, ConnectionTypePaginationConfigurationArgs
Configuration for handling paginated responses.
ConnectionTypeResponseConfiguration, ConnectionTypeResponseConfigurationArgs
Configuration for parsing JSON responses from REST API calls.
- Result
Path string - JSON path expression for result data location.
- Error
Path string - JSON path expression for error information location.
- Result
Path string - JSON path expression for result data location.
- Error
Path string - JSON path expression for error information location.
- result_
path string - JSON path expression for result data location.
- error_
path string - JSON path expression for error information location.
- result
Path String - JSON path expression for result data location.
- error
Path String - JSON path expression for error information location.
- result
Path string - JSON path expression for result data location.
- error
Path string - JSON path expression for error information location.
- result_
path str - JSON path expression for result data location.
- error_
path str - JSON path expression for error information location.
- result
Path String - JSON path expression for result data location.
- error
Path String - JSON path expression for error information location.
ConnectionTypeResponseExtractionMapping, ConnectionTypeResponseExtractionMappingArgs
Defines how to extract values from HTTP responses.
- Content
Path string - A JSON path expression to extract a value from response body.
- Header
Key string - The name of an HTTP response header from which to extract the value.
- Content
Path string - A JSON path expression to extract a value from response body.
- Header
Key string - The name of an HTTP response header from which to extract the value.
- content_
path string - A JSON path expression to extract a value from response body.
- header_
key string - The name of an HTTP response header from which to extract the value.
- content
Path String - A JSON path expression to extract a value from response body.
- header
Key String - The name of an HTTP response header from which to extract the value.
- content
Path string - A JSON path expression to extract a value from response body.
- header
Key string - The name of an HTTP response header from which to extract the value.
- content_
path str - A JSON path expression to extract a value from response body.
- header_
key str - The name of an HTTP response header from which to extract the value.
- content
Path String - A JSON path expression to extract a value from response body.
- header
Key String - The name of an HTTP response header from which to extract the value.
ConnectionTypeRestConfiguration, ConnectionTypeRestConfigurationArgs
Configuration for HTTP request and response handling.
- Entity
Configurations Dictionary<string, Pulumi.Aws Native. Glue. Inputs. Connection Type Entity Configuration> - A map of entity configurations.
- Global
Source Pulumi.Configuration Aws Native. Glue. Inputs. Connection Type Source Configuration - Validation
Endpoint Pulumi.Configuration Aws Native. Glue. Inputs. Connection Type Rest Configuration Validation Endpoint Configuration Properties - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- Entity
Configurations map[string]ConnectionType Entity Configuration - A map of entity configurations.
- Global
Source ConnectionConfiguration Type Source Configuration - Validation
Endpoint ConnectionConfiguration Type Rest Configuration Validation Endpoint Configuration Properties - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- entity_
configurations map(object) - A map of entity configurations.
- global_
source_ objectconfiguration - validation_
endpoint_ objectconfiguration - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- entity
Configurations Map<String,ConnectionType Entity Configuration> - A map of entity configurations.
- global
Source ConnectionConfiguration Type Source Configuration - validation
Endpoint ConnectionConfiguration Type Rest Configuration Validation Endpoint Configuration Properties - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- entity
Configurations {[key: string]: ConnectionType Entity Configuration} - A map of entity configurations.
- global
Source ConnectionConfiguration Type Source Configuration - validation
Endpoint ConnectionConfiguration Type Rest Configuration Validation Endpoint Configuration Properties - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- entity_
configurations Mapping[str, ConnectionType Entity Configuration] - A map of entity configurations.
- global_
source_ Connectionconfiguration Type Source Configuration - validation_
endpoint_ Connectionconfiguration Type Rest Configuration Validation Endpoint Configuration Properties - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- entity
Configurations Map<Property Map> - A map of entity configurations.
- global
Source Property MapConfiguration - validation
Endpoint Property MapConfiguration - Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties, ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesArgs
Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
- Request
Method Pulumi.Aws Native. Glue. Connection Type Rest Configuration Validation Endpoint Configuration Properties Request Method - The HTTP method to use.
- Request
Path string - The URL path for the REST endpoint.
- Request
Method ConnectionType Rest Configuration Validation Endpoint Configuration Properties Request Method - The HTTP method to use.
- Request
Path string - The URL path for the REST endpoint.
- request_
method "GET" | "POST" - The HTTP method to use.
- request_
path string - The URL path for the REST endpoint.
- request
Method ConnectionType Rest Configuration Validation Endpoint Configuration Properties Request Method - The HTTP method to use.
- request
Path String - The URL path for the REST endpoint.
- request
Method ConnectionType Rest Configuration Validation Endpoint Configuration Properties Request Method - The HTTP method to use.
- request
Path string - The URL path for the REST endpoint.
- request_
method ConnectionType Rest Configuration Validation Endpoint Configuration Properties Request Method - The HTTP method to use.
- request_
path str - The URL path for the REST endpoint.
- request
Method "GET" | "POST" - The HTTP method to use.
- request
Path String - The URL path for the REST endpoint.
ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesRequestMethod
The HTTP method to use.
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Connection | GET |
| Connection | POST |
| Value |
|---|
GET |
POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| GET | GET |
| POST | POST |
| Value |
|---|
GET |
POST |
ConnectionTypeSecretConnectorProperty, ConnectionTypeSecretConnectorPropertyArgs
Defines a secret property configuration. SECRET-type properties cannot have DefaultValue or AllowedValues.
- Name string
- The name of the property.
- Property
Type Pulumi.Aws Native. Glue. Connection Type Secret Connector Property Property Type - The data type of this property. Must be SECRET for secret properties.
- Required bool
- Indicates whether the property is required.
- Key
Override string - A key name to use when sending this property in API requests.
- Property
Location Pulumi.Aws Native. Glue. Connection Type Secret Connector Property Property Location - Specifies where this property should be included in REST requests.
- Name string
- The name of the property.
- Property
Type ConnectionType Secret Connector Property Property Type - The data type of this property. Must be SECRET for secret properties.
- Required bool
- Indicates whether the property is required.
- Key
Override string - A key name to use when sending this property in API requests.
- Property
Location ConnectionType Secret Connector Property Property Location - Specifies where this property should be included in REST requests.
- name string
- The name of the property.
- property_
type "SECRET" - The data type of this property. Must be SECRET for secret properties.
- required bool
- Indicates whether the property is required.
- key_
override string - A key name to use when sending this property in API requests.
- property_
location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where this property should be included in REST requests.
- name String
- The name of the property.
- property
Type ConnectionType Secret Connector Property Property Type - The data type of this property. Must be SECRET for secret properties.
- required Boolean
- Indicates whether the property is required.
- key
Override String - A key name to use when sending this property in API requests.
- property
Location ConnectionType Secret Connector Property Property Location - Specifies where this property should be included in REST requests.
- name string
- The name of the property.
- property
Type ConnectionType Secret Connector Property Property Type - The data type of this property. Must be SECRET for secret properties.
- required boolean
- Indicates whether the property is required.
- key
Override string - A key name to use when sending this property in API requests.
- property
Location ConnectionType Secret Connector Property Property Location - Specifies where this property should be included in REST requests.
- name str
- The name of the property.
- property_
type ConnectionType Secret Connector Property Property Type - The data type of this property. Must be SECRET for secret properties.
- required bool
- Indicates whether the property is required.
- key_
override str - A key name to use when sending this property in API requests.
- property_
location ConnectionType Secret Connector Property Property Location - Specifies where this property should be included in REST requests.
- name String
- The name of the property.
- property
Type "SECRET" - The data type of this property. Must be SECRET for secret properties.
- required Boolean
- Indicates whether the property is required.
- key
Override String - A key name to use when sending this property in API requests.
- property
Location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH" - Specifies where this property should be included in REST requests.
ConnectionTypeSecretConnectorPropertyPropertyLocation
Specifies where this property should be included in REST requests.
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Connection | HEADER |
| Connection | BODY |
| Connection | QUERY_PARAM |
| Connection | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| Header | HEADER |
| Body | BODY |
| Query | QUERY_PARAM |
| Path | PATH |
| Name | Value |
|---|---|
| HEADER | HEADER |
| BODY | BODY |
| QUERY_PARAM | QUERY_PARAM |
| PATH | PATH |
| Value |
|---|
HEADER |
BODY |
QUERY_PARAM |
PATH |
ConnectionTypeSecretConnectorPropertyPropertyType
The data type of this property. Must be SECRET for secret properties.
| Name | Value |
|---|---|
| Secret | SECRET |
| Name | Value |
|---|---|
| Connection | SECRET |
| Value |
|---|
SECRET |
| Name | Value |
|---|---|
| Secret | SECRET |
| Name | Value |
|---|---|
| Secret | SECRET |
| Name | Value |
|---|---|
| SECRET | SECRET |
| Value |
|---|
SECRET |
ConnectionTypeSourceConfiguration, ConnectionTypeSourceConfigurationArgs
Configuration that defines how to make requests to endpoints.
- Filter
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Filter Configuration - Pagination
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Pagination Configuration - Request
Method Pulumi.Aws Native. Glue. Connection Type Source Configuration Request Method - The HTTP method to use.
- Request
Parameters List<Pulumi.Aws Native. Glue. Inputs. Connection Type Connector Property> - Request parameters configuration.
- Request
Path string - The URL path for the REST endpoint.
- Response
Configuration Pulumi.Aws Native. Glue. Inputs. Connection Type Response Configuration
- Filter
Configuration ConnectionType Filter Configuration - Pagination
Configuration ConnectionType Pagination Configuration - Request
Method ConnectionType Source Configuration Request Method - The HTTP method to use.
- Request
Parameters []ConnectionType Connector Property - Request parameters configuration.
- Request
Path string - The URL path for the REST endpoint.
- Response
Configuration ConnectionType Response Configuration
- filter_
configuration object - pagination_
configuration object - request_
method "GET" | "POST" - The HTTP method to use.
- request_
parameters list(object) - Request parameters configuration.
- request_
path string - The URL path for the REST endpoint.
- response_
configuration object
- filter
Configuration ConnectionType Filter Configuration - pagination
Configuration ConnectionType Pagination Configuration - request
Method ConnectionType Source Configuration Request Method - The HTTP method to use.
- request
Parameters List<ConnectionType Connector Property> - Request parameters configuration.
- request
Path String - The URL path for the REST endpoint.
- response
Configuration ConnectionType Response Configuration
- filter
Configuration ConnectionType Filter Configuration - pagination
Configuration ConnectionType Pagination Configuration - request
Method ConnectionType Source Configuration Request Method - The HTTP method to use.
- request
Parameters ConnectionType Connector Property[] - Request parameters configuration.
- request
Path string - The URL path for the REST endpoint.
- response
Configuration ConnectionType Response Configuration
- filter_
configuration ConnectionType Filter Configuration - pagination_
configuration ConnectionType Pagination Configuration - request_
method ConnectionType Source Configuration Request Method - The HTTP method to use.
- request_
parameters Sequence[ConnectionType Connector Property] - Request parameters configuration.
- request_
path str - The URL path for the REST endpoint.
- response_
configuration ConnectionType Response Configuration
- filter
Configuration Property Map - pagination
Configuration Property Map - request
Method "GET" | "POST" - The HTTP method to use.
- request
Parameters List<Property Map> - Request parameters configuration.
- request
Path String - The URL path for the REST endpoint.
- response
Configuration Property Map
ConnectionTypeSourceConfigurationRequestMethod
The HTTP method to use.
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Connection | GET |
| Connection | POST |
| Value |
|---|
GET |
POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| Get | GET |
| Post | POST |
| Name | Value |
|---|---|
| GET | GET |
| POST | POST |
| Value |
|---|
GET |
POST |
Tag, TagArgs
A set of tags to apply to the resource.
Package Details
- Repository
- AWS Native pulumi/pulumi-aws-native
- License
- Apache-2.0
We recommend new projects start with resources from the AWS provider.
published on Wednesday, Nov 18, 2026 by Pulumi